This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 881891 - Unclear description of next steps after upgrade procure from RHEVM 3.0 to 3.1 environment with hosts which have same UUID
Unclear description of next steps after upgrade procure from RHEVM 3.0 to 3.1...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity medium
: ---
: 3.1.2
Assigned To: Barak
Pavel Stehlik
integration infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-29 13:23 EST by vvyazmin@redhat.com
Modified: 2012-12-24 04:25 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-24 04:25:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description vvyazmin@redhat.com 2012-11-29 13:23:04 EST
After upgrade procure from RHEVM 3.0 to 3.1 environment with hosts which have same UUID I  receive unclear description of next steps:


During the upgrade process, RHEV Manager  will not be accessible.
All existing running virtual machines will continue but you will not be able to
start or stop any new virtual machines during the process.

Would you like to proceed? (yes|no): yes
Stopping ovirt-engine service...                         [ DONE ]
Stopping DB related services...                          [ DONE ]
Pre-upgrade validations...                               [ DONE ]
Preparing system for 3.1 upgrade...                      [ DONE ]
Backing Up Database...                                   [ DONE ]
Rename Database...                                       [ DONE ]
Updating rpms (This may take a while
depending on your connection speed to the repository.
To track the installation process run tail -f /var/log/yum.log in another session)... [ DONE ]
Updating Database...                                     [ DONE ]
Restore Database name...                                 [ DONE ]
Running post install configuration...                    [ DONE ]
Starting ovirt-engine...                                 [ DONE ]

RHEV Manager upgrade completed successfully!

* NOTICE:

  The following hosts must be reinstalled. If reason is BIOS
  duplicate UUID execute the following command on each host before
  reinstallation:
  # uuidgen > /etc/vdsm/vdsm.id
  If you are running rhev-h or ovirt-node, restart vdsm-reg service:
  # service vdsm-reg restart

   - Host cougar08(cougar08.scl.lab.tlv.redhat.com), reason: duplicate BIOS UUID
   - Host cougar05(cougar05.scl.lab.tlv.redhat.com), reason: duplicate BIOS UUID
.
* Upgrade log available at /var/log/ovirt-engine/ovirt-engine-upgrade_2012_11_28_14_45_56.log
* DB Backup available at  /var/lib/ovirt-engine/backups/ovirt-engine_db_backup_2012_11_28_14_46_02.sql




In description, my next steps, should mention:
Before Activate Those hosts:
1. Upgrade those hosts to latest (stable) OS version
2. Upgrade / Reinstall VDSM version
Comment 1 Yaniv Kaul 2012-11-29 15:26:09 EST
Probably best to refer to a KB
Comment 3 vvyazmin@redhat.com 2012-12-03 08:52:52 EST
changed to Infra
Comment 4 Barak 2012-12-05 15:44:47 EST

(In reply to comment #0)
                              [ DONE ]
> 
> RHEV Manager upgrade completed successfully!
> 
> * NOTICE:
> 
>   The following hosts must be reinstalled. If reason is BIOS
>   duplicate UUID execute the following command on each host before
>   reinstallation:
>   # uuidgen > /etc/vdsm/vdsm.id
>   If you are running rhev-h or ovirt-node, restart vdsm-reg service:
>   # service vdsm-reg restart
> 
>    - Host cougar08(cougar08.scl.lab.tlv.redhat.com), reason: duplicate BIOS
> UUID
>    - Host cougar05(cougar05.scl.lab.tlv.redhat.com), reason: duplicate BIOS
> UUID
> .

What is not clear with the above explanation ?



> * Upgrade log available at
> /var/log/ovirt-engine/ovirt-engine-upgrade_2012_11_28_14_45_56.log
> * DB Backup available at 
> /var/lib/ovirt-engine/backups/ovirt-engine_db_backup_2012_11_28_14_46_02.sql
> 
> 
> 
> 
> In description, my next steps, should mention:
> Before Activate Those hosts:
> 1. Upgrade those hosts to latest (stable) OS version
> 2. Upgrade / Reinstall VDSM version

The above section has no relevance the only steps required in those rare occasions is to run the exact commands listed in the message above
Comment 6 vvyazmin@redhat.com 2012-12-16 06:57:37 EST
(In reply to comment #4)
> 
> (In reply to comment #0)
>                               [ DONE ]
> > 
> > RHEV Manager upgrade completed successfully!
> > 
> > * NOTICE:
> > 
> >   The following hosts must be reinstalled. If reason is BIOS
> >   duplicate UUID execute the following command on each host before
> >   reinstallation:
> >   # uuidgen > /etc/vdsm/vdsm.id
> >   If you are running rhev-h or ovirt-node, restart vdsm-reg service:
> >   # service vdsm-reg restart
> > 
> >    - Host cougar08(cougar08.scl.lab.tlv.redhat.com), reason: duplicate BIOS
> > UUID
> >    - Host cougar05(cougar05.scl.lab.tlv.redhat.com), reason: duplicate BIOS
> > UUID
> > .
> 
> What is not clear with the above explanation ?
> 
> 
> 
> > * Upgrade log available at
> > /var/log/ovirt-engine/ovirt-engine-upgrade_2012_11_28_14_45_56.log
> > * DB Backup available at 
> > /var/lib/ovirt-engine/backups/ovirt-engine_db_backup_2012_11_28_14_46_02.sql
> > 
> > 
> > 
> > 
> > In description, my next steps, should mention:
> > Before Activate Those hosts:
> > 1. Upgrade those hosts to latest (stable) OS version
> > 2. Upgrade / Reinstall VDSM version
> 
> The above section has no relevance the only steps required in those rare
> occasions is to run the exact commands listed in the message above

I expect that, in the end installation, end user will know that, he need manually upgrade his VDSM on all relevant hosts, and upgrade OS on his hosts. Without this you can't use your hosts in 3.1 environment.
Comment 7 Simon Grinberg 2012-12-16 08:23:45 EST
(In reply to comment #6)

> I expect that, in the end installation, end user will know that, he need
> manually upgrade his VDSM on all relevant hosts, and upgrade OS on his
> hosts. Without this you can't use your hosts in 3.1 environment.

It's a bit more complicated then that:
For RHEL host, upgrade is automatically triggered by the re-install link. For RHEV-H he cant just upgrade the VDSM he must upgrade the host. 

Barak let's leave it as is and move the solution to kbase 269333
Let's not forget that now the upgrade script and documentation refers to this kbase: https://access.redhat.com/knowledge/articles/269333

Chris, could you please take care of that.
When done please let me know and I'll close this bug. Please contact Barak if something is unclear.
Comment 8 Chris Negus 2012-12-21 15:13:40 EST
I added this information to the article (https://access.redhat.com/knowledge/node/269333). Please let me know if I need to change anything in the wording.

Note You need to log in before you can comment on or make changes to this bug.